Search documentation of ash

# Ash.Query.Operator.LessThan (ash v3.4.71)

View Source

left < right

Does not simplify, but is used as the simplification value for `Ash.Query.Operator.LessThanOrEqual`, `Ash.Query.Operator.GreaterThan` and `Ash.Query.Operator.GreaterThanOrEqual`.

When comparing predicates, it is mutually exclusive with `Ash.Query.Operator.IsNil`. Additionally, it compares as mutually inclusive with any `Ash.Query.Operator.Eq` and any `Ash.Query.Operator.LessThan` who's right sides are less than it, and mutually exclusive with any `Ash.Query.Operator.Eq` or `Ash.Query.Operator.GreaterThan` who's right side's are greater than or equal to it.

# Summary

## Functions

evaluate(map)

Callback implementation for `Ash.Query.Operator.evaluate/1`.

name()
operator()

# Functions

# evaluate(map)

Callback implementation for `Ash.Query.Operator.evaluate/1`.

# name()

# operator()